'use strict';

var chalk = require('chalk');

module.exports = {
  info: function info(str) {
    return chalk.green(str);
  },
  error: function error(str) {
    return chalk.bgRed(chalk.white(chalk.bold(str)));
  },
  warn: function warn(str) {
    return chalk.bgYellow(chalk.white(chalk.bold(str)));
  },
  debug: function debug(str) {
    return str;
  },
  default: function _default(str) {
    return chalk.green(str);
  }
};