'use strict';

var loadSwaggerSpecification = function () {
  var _ref = _asyncToGenerator(function* (yamlPath) {
    var spec = yield SwaggerParser.bundle(yamlPath);
    return replaceRouteHandlers(spec);
  });

  return function loadSwaggerSpecification(_x) {
    return _ref.apply(this, arguments);
  };
}();

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { return step("next", value); }, function (err) { return step("throw", err); }); } } return step("next"); }); }; }

var SwaggerParser = require('swagger-parser');
var replaceRouteHandlers = require('./post-process/replace-route-handlers');

module.exports = loadSwaggerSpecification;